[node-patches] Change in ovirt-node[master]: Unset BOOTIF if it's already set (TUI upgrades)

rbarry at redhat.com rbarry at redhat.com
Tue Jan 19 15:41:01 UTC 2016


Ryan Barry has uploaded a new change for review.

Change subject: Unset BOOTIF if it's already set (TUI upgrades)
......................................................................

Unset BOOTIF if it's already set (TUI upgrades)

If "upgrade" is appended, BOOTIF is already removed, but this does
not carry through to TUI upgrades, since "ugprade" is not set on
the cmdline.

Check whether it's already set (this will be unset in a base
image), and unset it if it is.

Change-Id: I7d64efb10d4f3bbf7d5a482c76675ed56c4eaf10
Bug-Url: https://bugzilla.redhat.com/show_bug.cgi?id=1289028
Signed-off-by: Ryan Barry <rbarry at redhat.com>
---
M scripts/ovirt-init-functions.sh.in
1 file changed, 3 insertions(+), 1 deletion(-)


  git pull ssh://gerrit.ovirt.org:29418/ovirt-node refs/changes/50/52450/1

diff --git a/scripts/ovirt-init-functions.sh.in b/scripts/ovirt-init-functions.sh.in
index 96190c1..94aab4e 100644
--- a/scripts/ovirt-init-functions.sh.in
+++ b/scripts/ovirt-init-functions.sh.in
@@ -930,7 +930,9 @@
         fi
     done
     # block accidental bootif changes on upgrades
-    if [ "$upgrade" == "1" ]; then
+    grep -q BOOTIF /etc/default/ovirt
+    bootif_set=$?
+    if [[ "$upgrade" == "1" || $bootif_set -eq 0 ]]; then
         sed -i '/OVIRT_BOOTIF/d' $tmpaug
     fi
     augtool $tmpaug


-- 
To view, visit https://gerrit.ovirt.org/52450
To unsubscribe, visit https://gerrit.ovirt.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I7d64efb10d4f3bbf7d5a482c76675ed56c4eaf10
Gerrit-PatchSet: 1
Gerrit-Project: ovirt-node
Gerrit-Branch: master
Gerrit-Owner: Ryan Barry <rbarry at redhat.com>



More information about the node-patches mailing list